package org.implab.gradle.variants.artifacts.internal;

import java.util.function.Consumer;

public interface SlotContributionVisitor {
    void visit(DirectContribution contribution);

    void visit(VariantOutputsContribution contribution);

    void visit(RoleOutputsContribution contribution);

    void visit(LayerOutputsContribution contribution);

    default Consumer<SlotContribution> consumer() {
        return slot -> slot.accept(this);
    }
}
